<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursVorschlag\KursVorschlagBearbeiten;

use Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\KursVorschlagAbsendenUseCase;

class KursVorschlagBearbeitenZwischenspeichernAbsendenUseCase extends KursVorschlagBearbeitenAbsendenUseCase
{
  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    } elseif (!\DBWorkBASysSettings::isSalzburgBildungswerk()) {
      return false;
    }

    return true;
  }

  protected function getCheckPflichtfelder()
  {
    return false;
  }

  public function getInBearbeitung(): bool
  {
    return true;
  }

  protected function getStatusCodeSuccess()
  {
    return KursVorschlagAbsendenUseCase::SUCCESS_KURSPLANUNG_ZWISCHENGESPEICHERT;
  }

  public function isKursplanungVollstaendigUebermittelt(): bool
  {
    return false;
  }
}